Страница 1 из 1

/usr/ports/graphics/swfdec

Добавлено: 2008-10-15 19:18:06
kmb

Код: Выделить всё

cd /usr/ports/graphics/swfdec && make install clean

checking for CAIRO... yes
configure: mad audio support was not enabled.
configure: ffmpeg support was not enabled.
checking for GST... gnome-config: not found
no
configure: error: Couldn't find GStreamer 0.10.11 and gstreamer-pbutils 0.10.15.
===>  Script "configure" failed unexpectedly.
Please report the problem to alexbl@FreeBSD.org [maintainer] and attach the
"/usr/ports/graphics/swfdec/work/swfdec-0.6.8/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/graphics/swfdec.
*** Error code 1

Stop in /usr/ports/graphics/swfdec.

Код: Выделить всё

pkg_version -v | grep gstreamer
gstreamer-0.10.20                   =   up-to-date with port
gstreamer-ffmpeg-0.10.2_1           <   needs updating (port has 0.10.4_1)
gstreamer-plugins-0.10.13,3         <   needs updating (port has 0.10.20_2,3)
gstreamer-plugins-a52dec-0.10.6_2,3  <   needs updating (port has 0.10.9_3,3)
gstreamer-plugins-bad-0.10.5_2,3    <   needs updating (port has 0.10.8_1,3)
gstreamer-plugins-cdparanoia-0.10.14_3,3  <   needs updating (port has 0.10.20_1,3)
gstreamer-plugins-core-0.10_9       <   needs updating (port has 0.10_10)
gstreamer-plugins-dts-0.10.5_2,3    <   needs updating (port has 0.10.8_3,3)
gstreamer-plugins-dvd-0.10.6_1,3    <   needs updating (port has 0.10.9_3,3)
gstreamer-plugins-esound-0.10.6_2,3  <   needs updating (port has 0.10.10_3,3)
gstreamer-plugins-flac-0.10.6_2,3   <   needs updating (port has 0.10.10_4,3)
gstreamer-plugins-gconf-0.10.6_4,3  <   needs updating (port has 0.10.10_4,3)
gstreamer-plugins-gnomevfs-0.10.14_2,3  <   needs updating (port has 0.10.20_1,3)
gstreamer-plugins-good-0.10.6,3     <   needs updating (port has 0.10.10,3)
gstreamer-plugins-hal-0.10.6_1,3    <   needs updating (port has 0.10.10_4,3)
gstreamer-plugins-jpeg-0.10.6_2,3   <   needs updating (port has 0.10.10_3,3)
gstreamer-plugins-libpng-0.10.6_2,3  <   needs updating (port has 0.10.10_3,3)
gstreamer-plugins-mad-0.10.6_3,3    <   needs updating (port has 0.10.9_3,3)
gstreamer-plugins-mp3-0.10.0        <   needs updating (port has 0.10.0_1)
gstreamer-plugins-mpeg2dec-0.10.6_2,3  <   needs updating (port has 0.10.9_3,3)
gstreamer-plugins-ogg-0.10.13_2,3   <   needs updating (port has 0.10.20_1,3)
gstreamer-plugins-pango-0.10.13_2,3  <   needs updating (port has 0.10.20_1,3)
gstreamer-plugins-theora-0.10.13_3,3  <   needs updating (port has 0.10.20_1,3)
gstreamer-plugins-ugly-0.10.6,3     <   needs updating (port has 0.10.9_1,3)
gstreamer-plugins-vorbis-0.10.13_2,3  <   needs updating (port has 0.10.20_1,3)
gstreamer-plugins-xvid-0.10.5_1,3   <   needs updating (port has 0.10.8_3,3)
:unknown:

p.s. swfdec-0.6.8

Re: /usr/ports/graphics/swfdec

Добавлено: 2008-10-17 19:39:03
zg
обновился правильно?

Re: /usr/ports/graphics/swfdec

Добавлено: 2008-10-17 21:14:24
kmb
Всмысле? порты? portsnap fetch update

Re: /usr/ports/graphics/swfdec

Добавлено: 2008-10-17 22:08:21
zg
kmb писал(а):Всмысле? порты? portsnap fetch update
значит нет )))

рассказывай как чего обновлял в мелких подробностях

Re: /usr/ports/graphics/swfdec

Добавлено: 2008-10-20 19:53:53
kmb
Чего обновлял-то? Ничего я не обновлял)
6.0 Stable обновил до 7.0-Release
потом запустил portupgrade -a, но конца не дождался, более 1100 пакетов, обновил вручную то что нужно) Иногда запускаю понемножку portupgrade -a))
Сейчас думаю может снести pkgdb.db pkgdb.fixme INDEX-7.db и заного ребуилдить =/

Re: /usr/ports/graphics/swfdec

Добавлено: 2008-10-21 6:09:04
zg
kmb писал(а):6.0 Stable обновил до 7.0-Release
ну я и говорю, обновился неправильно :-D вобщем есть файлик /usr/src/UPDATING, там много чего расписано. А вообще, лучше поставь с диска седьмую фрю, обнови её и уже мучай. Особенно это полезно, если ты при переходе на седьмую ветку не делал мергемастер.

Re: /usr/ports/graphics/swfdec

Добавлено: 2008-10-21 21:07:05
kmb
Мы лёгких путей не ищем :-D
Делал я всё)

Re: /usr/ports/graphics/swfdec

Добавлено: 2008-10-22 6:30:41
zg
чЫтай :smile: http://forum.lissyara.su/viewtopic.php? ... =gstreamer

геммора много при таком переходе. Проще всё с нуля переставить.

Re: /usr/ports/graphics/swfdec

Добавлено: 2008-10-22 6:41:29
zg
гм.. спустя полгода этот код для меня уже не выглядит аброй кадаброй )))

Код: Выделить всё

  Unfortunately portupgrade (nor portupgrade-devel) cannot yet handle
  the rigors of the xorg upgrade without a small bit of help:

  # portupgrade -Rf libXft

  If your machine does NOT have any gstreamer ports installed, you can then
  run:

  # portupgrade -a

  However, if you DO have gstreamer ports installed, you must run:

  # portupgrade -a -x 'gstreamer*'

  Followed by:

  # portupgrade -Rr 'gstreamer*'

  When packages are available (wait for the announcement on ports@), you
  may prefer to use precompiled packages to speed up the process:

  # portupgrade -aP

  Once the upgrade completes successfully, you can delete the
  xorg-manpages package, which is now orphaned.

  # pkg_delete xorg-manpages\*

  The final step is to merge remaining files from /usr/X11R6 into
  /usr/local (/usr/X11R6 is no longer used with xorg 7.2) and replace
  /usr/X11R6 with a symlink.
тебе нужно сделать следующее

Код: Выделить всё

# обновить gstreamer
portupgrade -a -x 'gstreamer*'
portupgrade -Rr 'gstreamer*'

# Обновить порты
# portupgrade -aR

# После обновления gstreamer удалить маны, которые уже не используются
pkg_delete xorg-manpages\*

# Переместить каталог /usr/X11R6 в /usr/local/
mv /usr/X11R6 /usr/local/

# Сделать симлинк на него
ln -s /usr/local/X11R6 /usr/X11R6
по идее так его надо обновлять )))